package com.wms_main.service.controller;

import com.wms_main.model.dto.request.ycwms.*;
import com.wms_main.model.dto.response.ycwms.YcwmsResponse;

import java.util.List;

public interface IYcwmsControllerService {

    YcwmsResponse<Object> orderIn(OrderInReq request);
    YcwmsResponse<Object> orderOut(OrderOutReq request);
    YcwmsResponse<List<StockResp>> stock(StockReq request);
    YcwmsResponse<Object> getAvailPercent(String equipmentId);
    YcwmsResponse<List<StockResp>> localQuery(LocalOrderReq request);
    String getLocByGoodsId(String goodsId);
    YcwmsResponse<Object> localOut(List<String> vehicleNos);
}
